function Ajax_Loading(message) {
    if (message) {
        $("#loading-layer-text").html(message);
    }
    var setX = ($(window).width() - $("#loading-layer").width()) / 2;
    var setY = ($(window).height() - $("#loading-layer").height()) / 2;
    $("#loading-layer").css({
        left: setX + "px",
        top: setY + "px",
        position: 'fixed',
        zIndex: '99'
    });
    $("#loading-layer").fadeTo('slow', 0.6);
};
function Ajax_close(message) {
    $("#loading-layer").fadeOut('slow');
	
};
function Activate() {
   var key = $('input[name="key"]').val();
   if (!key) {
        Alert_popup('Для продолжения процесса активации необходимо ввести ключ.', 'Информация');
        return false;
   }
   Ajax_Loading('Ожидание ответа от сервера разработчика...');
  $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
    be_action: 'activate',
    key: key,
	hash: login_hash
  }, function (data) {
	  Ajax_close('');
	  if(data.param==1){
		     document.location = location.href.split('#')[0];
		  }
         else{ Alert_popup(data.data, 'Информация');}
  }, "json");
};
function doShare(name, action) {
  $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
    be_action: 'share',
    action: action,
    name: name,
	hash:login_hash
  }, function (data) {
	  console.log(data)
    if (data.param == 1) {
      $("a#" + name).replaceWith(data.data)
    } else {
      Alert_popup('Обнаружена ошибка.', 'Информация');
    }
  }, "json");
}
function Alert_popup(message, title) {
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "</div>");
    $('#bepopup').dialog({
			dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: {
            "Ok": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
            }
        }
    });
};
$(document).ready(function () {
	$('select[name="moder[type]"]').change(function () {
		var val = $(this).val()
	     if(val==1){
			 $("select[id=tree]").attr('disabled', 'disabled');}else{$("select[id=tree]").removeAttr('disabled');}
    });
    $('select[name="save_tree[type]"]').change(function () {
		$("input:checkbox").removeAttr("checked");
        $("#prefix , #parent, #typed , #rules, #passworld, #table_access, #aprove , #info_parent, #rules_titl, #counts").css('display', 'none');
        var val = $(this).val()
        if (val == 0) {
            $("input[class=access_new_topic], input[class=access_read_topic], input[class=access_replic_topic]").attr('disabled', 'disabled');
            $("#info_parent, #table_access").css('display', 'block');
        } else if (val == 1) {
            $("input[class=access_read_topic], input[class=access_replic_topic], input[class=access_new_topic]").removeAttr('disabled');
            $("input[class=access_replic_topic][value='5'], input[class=access_new_topic][value='5']").attr('disabled', 'disabled');
            $("#rules_titl, #aprove, #table_access, #counts, #rules, #parent, #prefix").css('display', 'block');
        } else if (val == 2) {
            $("input[class=access_new_topic], input[class=access_read_topic], input[class=access_replic_topic]").attr('disabled', 'disabled');
            $("#parent, #typed, #table_access, #aprove").css('display', 'block');
        }
    });
});
function group_permission(group, value) {
    var selParam = $('select[name="save_tree[type]"]').val();
    if (selParam == 0 || selParam == 2) {
        document.getElementById('access_download_' + group).checked = value;
    } else {
        document.getElementById('access_new_topic_' + group).checked = value;
        document.getElementById('access_replic_topic_' + group).checked = value;
        document.getElementById('access_read_topic_' + group).checked = value;
        document.getElementById('access_download_' + group).checked = value;
    }
    if (group == 5) {
        document.getElementById('access_new_topic_' + group).checked = false;
        document.getElementById('access_replic_topic_' + group).checked = false;
    }
}
function doDelete(action, id) {
    if (action == 'questions') {
        BEconfirm('Вы действительно хотите удалить этот Вопрос/Ответ?', 'Подтверждение', function () {
            $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'delete_questions',
                id: id,
                hash: login_hash
            }, function (data) {
                if (data == 'ok') {
                    $("#" + id).remove();
                    Alert_popup('Вопрос/Ответ удален.', 'Информация')
                } else if (data == 'die') {
                    Alert_popup('Обнаружена ошибка.', 'Информация');
                }
            });
        });
    } else if (action == 'moderator') {
        BEconfirm('Вы действительно хотите удалить этого модератора?', 'Подтверждение', function () {
            $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'delete_moderator',
                id: id,
                hash: login_hash
            }, function (data) {
                if (data == 'ok') {
                    $("#" + id).remove();
                    Alert_popup('Модератор удален.', 'Информация')
                } else if (data == 'die') {
                    Alert_popup('Обнаружена ошибка.', 'Информация');
                }
            });
        });
    } else if (action == 'advertising') {
        BEconfirm('Вы действительно хотите удалить этот блок рекламы?', 'Подтверждение', function () {
            $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                be_action: 'delete_advertising',
                id: id,
                hash: login_hash
            }, function (data) {
                if (data == 'ok') {
                    $("#" + id).remove();
                    Alert_popup('Блок рекламы удален удален.', 'Информация')
                } else if (data == 'die') {
                    Alert_popup('Обнаружена ошибка.', 'Информация');
                }
            });
        });
    }
}

function Recount(action, bot) {
    BEconfirm('Вы действительно хотите запустить функцию пересчета?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'recount_' + action,
            hash: login_hash
        }, function (data) {
            if (data == 'ok') {

                Alert_popup('Параметры обновлены.', 'Информация')
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}

function clearCache() {
    BEconfirm('Вы действительно хотите запустить функцию удаления кеша?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_all_cashe',
            hash: login_hash
        }, function (data) {
            if (data == 'ok') {

                Alert_popup('Кеш удален.', 'Информация')
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }

        });
    });
}

function deleteComplain(id) {
    BEconfirm('Вы действительно хотите удалить эту жалобу?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_complain',
            hash: login_hash,
            id: id
        }, function (data) {
            if (data == 'ok') {

                window.location.reload(true)
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}

function deletePost(id) {
    BEconfirm('Вы действительно хотите удалить это сообщение?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_post',
            hash: login_hash,
            id: id
        }, function (data) {
            if (data == 'ok') {

                window.location.reload(true)
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}

function sendenTopic(startfrom) {
    $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
        startfrom: startfrom,
        hash: login_hash,
        be_action: 'recount_topic_last'
    }, function (data) {
        if (data) {
            if (data.status == "ok") {
                $('#paramTopicCount').css("display", "block");
                $('#topic_count').html(data.limitcount);
                $('#count').val(data.limitcount);
                var proc = Math.round((100 * data.limitcount) / total);
                if (proc > 100) proc = 100;
                $('#progressbar').progressbar("option", "value", proc);
                if (data.limitcount >= total) {
                    $('#progress').html('Обработка успешно завершена');
                    $('#recount_buttonn_topic').removeAttr('disabled');
                    $('#recount_buttonn_topic').html('Обновить');
                    $('#paramTopicCount').css("display", "none");
                    $('#count').val(0);
                } else {
                    setTimeout("sendenTopic(" + data.limitcount + ")", 500);
                }
            }
        }
    }, "json");

    return false;
}
function RecountUser() {
    $("#progress1").ajaxError(function (event, request, settings) {
        $(this).html('<font color="red">Ошибка отправки.Скопируйте текст ниже и отправьте его разработчику.<br><br>' + request.responseText + '</font>');
        $('#recount_buttonn_user').attr("disabled", false);
    });
    $("#progressbar1").progressbar({
        value: 0
    });
   
        if ($('#topic_count').text() == 0) {
            $('#progress1').html('Идет обработка, ждите...');
            $('#recount_buttonn_user').attr("disabled", "disabled");
            $('#recount_buttonn_user').html("Идет обработка данных");
            sendenUser($('#count_user').val());
            return false;
        }
    
}
function sendenUser(startfrom) {
    $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
        startfrom: startfrom,
        hash: login_hash,
        be_action: 'recount_user'
    }, function (data) {
        if (data) {
            if (data.status == "ok") {
                $('#paramUserCount').css("display", "block");
              
                $('#count_user').val(data.limitcount);
                var proc = Math.round((100 * data.limitcount) / total_user);
                if (proc > 100) proc = 100;
                $('#progressbar1').progressbar("option", "value", proc);
                if (data.limitcount >= total_user) {
                    $('#progress1').html('Обработка успешно завершена');
                    $('#recount_buttonn_user').removeAttr('disabled');
                    $('#recount_buttonn_user').html('Обновить');
                    $('#paramUserCount').css("display", "none");
                    $('#count_user').val(0);
                } else {
                    setTimeout("sendenUser(" + data.limitcount + ")", 700);
                }
            }
        }
    }, "json");

    return false;
}
function BEconfirm(message, title, callback) {
    var b = {};
    b[popup_no] = function () {
        $(this).dialog("close");
        $("#bepopup").remove();
    };
    b[popup_yes] = function () {
        $(this).dialog("close");
        $("#bepopup").remove();
        if (callback) callback();
    };
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "</div>");
    $('#bepopup').dialog({
			dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: b
    });
};
function TroofDell(){
	var id = $('input:radio[name=tree]:checked').val();
	if (!id) {
        Alert_popup('Не выбран трофей для удаления.', 'Информация');
        return false;
    }
	    BEconfirm('Вы действительно хотите удалить этот трофей?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_trof',
            hash: login_hash,
            id: id
        }, function (data) {
            if (data == 'ok') {
                window.location.reload(true)
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}
function RankDell(){
	var id = $('input:radio[name=tree]:checked').val();
	if (!id) {
        Alert_popup('Не выбрано звание для удаления.', 'Информация');
        return false;
    }
	    BEconfirm('Вы действительно хотите удалить это звание?', 'Подтверждение', function () {
        $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
            be_action: 'delete_rank',
            hash: login_hash,
            id: id
        }, function (data) {
            if (data == 'ok') {
                window.location.reload(true)
            } else if (data == 'die') {
                Alert_popup('Обнаружена ошибка.', 'Информация');
            }
        });
    });
}



function TreeDell() {
    var id = $('input:radio[name=tree]:checked').val();
    var type = $('input:radio[name=tree]:checked').attr("date-type");
	var selText=', данные узел является разделом-ссылкой и перемещение тем не требуется';
	//var type = $('input:radio[name=tree]:checked').attr("uid");
	//console.log(type)
    if (!id) {
        Alert_popup('Не выбран узел для удаления', 'Информация');
        return false;
    }
    $("#bepopup").remove();
	if(type!=2){var selText=', выберите раздел куда будут перемещены темы и сообщения, нечего не выбирайте если хотите удалить все данные из этого узла';}
    $("body").append("<div id='bepopup' title='Подтверждение' style='display:none'>Вы хотите удалить узел <b>«" + $('#tree_' + id).attr("rel") + "»</b> из базы данных форума"+selText+".<div id='treeSelecte'></div></div>");
    
	if(type!=2){
	$("#treeRemove").clone(true).insertAfter("#treeSelecte");
	$("#bepopup option[value='"+id+"']").remove();
	}
    $('#bepopup').dialog({
			dialogClass: 'DialogForum',
        autoOpen: true,
        show: 'fade',
        width: 500,
        buttons: {
            "Нет": function () {
                $(this).dialog("close");
                $("#bepopup").remove();
            },
            "Да": function () {
                $(this).dialog("close");
                $.post(be_root + 'engine/bullet_energy/ajax/site.php', {
                    be_action: 'tree_delete',
                    id: id,
                    hash: login_hash,
                    id_remove: $("#bepopup select[name=treeRemove] option:selected").val()
                }, function (data) {
                    if (data == 'ok') {
                        window.location.reload(true);
                    } else if (data == 'die') {
                        Alert_popup('Обнаружена ошибка.', 'Информация');
                    }
                });
            }

        }
    });
    return false;
};
function CheckRadioButtom(param, value) {
    $("input[name^='" + param + "'][value='" + value + "']").attr('checked', true);
}

function BEprompt(message, d, title, callback, allowempty) {
    var b = {};
    b[bb_act_lang[3]] = function () {
        $(this).dialog("close");
    };
    b[bb_act_lang[2]] = function () {
        if (!allowempty && $("#bepopup-promt-text").val().length < 1) {
            $("#bepopup-promt-text").addClass('ui-state-error');
        } else {
            var response = $("#bepopup-promt-text").val()
            $(this).dialog("close");
            $("#bepopup").remove();
            if (callback) callback(response);
        }
    };
    $("#bepopup").remove();
    $("body").append("<div id='bepopup' title='" + title + "' style='display:none'>" + message + "<br /><br /><input type='text' name='bepopup-promt-text' id='bepopup-promt-text' class='ui-widget-content ui-corner-all' style='width:97%; padding: .4em;' value='" + d + "'/></div>");
    $('#bepopup').dialog({
			dialogClass: 'DialogForum',
        autoOpen: true,
        width: 470,
        buttons: b
    });
};